POST api/v1/PetAdaptationTips
Request Information
URI Parameters
None.
Body Parameters
PetAdaptationTip| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Title | string |
None. |
|
| Content | string |
None. |
|
| PetType | byte |
None. |
|
| AdaptationStage | byte |
None. |
|
| AgeMinMonths | integer |
None. |
|
| AgeMaxMonths | integer |
None. |
|
| SafetyNotes | string |
None. |
|
| Tags | string |
None. |
|
| ResourceUrl | string |
None. |
|
| ImageUrl | string |
None. |
|
| Locale | string |
None. |
|
| DisplayOrder | integer |
None. |
|
| IsActive | boolean |
None. |
|
| IsDeleted | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"title": "sample string 2",
"content": "sample string 3",
"petType": 64,
"adaptationStage": 64,
"ageMinMonths": 1,
"ageMaxMonths": 1,
"safetyNotes": "sample string 4",
"tags": "sample string 5",
"resourceUrl": "sample string 6",
"imageUrl": "sample string 7",
"locale": "sample string 8",
"displayOrder": 1,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:02:08.4893757+03:00",
"updatedAt": "2026-04-18T15:02:08.4893757+03:00"
}
application/xml, text/xml
Sample:
<PetAdaptationTip xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityBase"> <AdaptationStage>64</AdaptationStage> <AgeMaxMonths>1</AgeMaxMonths> <AgeMinMonths>1</AgeMinMonths> <Content>sample string 3</Content> <CreatedAt>2026-04-18T15:02:08.4893757+03:00</CreatedAt> <DisplayOrder>1</DisplayOrder> <Id>1</Id> <ImageUrl>sample string 7</ImageUrl> <IsActive>true</IsActive> <IsDeleted>true</IsDeleted> <Locale>sample string 8</Locale> <PetType>64</PetType> <ResourceUrl>sample string 6</ResourceUrl> <SafetyNotes>sample string 4</SafetyNotes> <Tags>sample string 5</Tags> <Title>sample string 2</Title> <UpdatedAt>2026-04-18T15:02:08.4893757+03:00</UpdatedAt> </PetAdaptationTip>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.